@echo off
cls

if %1!==! goto USAGE
if not exist %1\MP.EXE goto ERR

echo In a moment, the patch program will update your Monopoly Deluxe for DOS
echo version 1.00 files to version 1.50
echo.
echo Because the floppy disk contains almost 1Mb of changed data the patch
echo process may take some time, especially on slower machines. 
echo.
echo If you have made custom changes to the MP.INI file, it will be renamed 
echo to MP_INI_1.TXT so that you may easily incorporate your changes into 
echo the new MP.INI file using a text editor or ASCII-compatible word 
echo processor.
echo.
pause

cls
ctty nul
if exist %1\mp.ini ren %1\mp.ini mp_ini_1.txt
if exist %1\mpprefs.cfg del %1\mpprefs.cfg
ctty con
patch %1
goto SUCCESS

:ERR
echo. 
echo *** Could not find Monopoly Deluxe for DOS files in: 
echo     %1 
echo     please check path.

:USAGE
echo. 
echo To convert version 1.00 files from Monopoly Deluxe for DOS
echo to version 1.50, log on to the floppy drive which contains
echo the patch disk, then type "INSTALL" followed by a space and
echo the name of the directory where the Monopoly Deluxe files
echo were originally installed.
echo. 
echo For example, if the patch disk is located on a disk in
echo drive A:, and Monopoly Deluxe was originally installed to 
echo C:\MONOPOLY, the commands would look like this:
echo. 
echo A:
echo INSTALL C:\MONOPOLY
echo. 
echo It is not necessary to remove the original files before
echo installing the patch. The original files will be updated
echo to contain the new data.
goto end

:SUCCESS
echo Updated "Monopoly Deluxe for DOS" to version 1.50

:END
echo.
